apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: conjur-find-by-name
spec:
  refreshInterval: 1h
  secretStoreRef:
    # This name must match the metadata.name in the `SecretStore`
    name: conjur
    kind: SecretStore
  target:
    name: k8s-secret-to-be-created
  dataFrom:
    - find:
        # You can use *either* `name` or `tags` to filter the secrets. Here are basic examples of both:
        name:
          # Match all secrets in the app1 namespace (e.g., `app1/secret00`, `app1/secret01`, etc.)
          regexp: "^app1\/.+$"
        tags:
          # Only fetch Conjur secrets with the following annotations
          environment: "prod"
          application: "app1"
